// XmlHttpRequestオブジェクトを取得するためのユーザ定義関数
function getXHR() {
  var req;
  try {
    req = new XMLHttpRequest();
  } catch(e) {
    try {
      req = new ActiveXObject('Msxml2.XMLHTTP');
    } catch(e) {
      req = new ActiveXObject('Microsoft.XMLHTTP');
    }
  }
  return req;
}

// [送信]ボタンクリック時に実行されるイベントハンドラ
function asyncSend() {

  var req = getXHR();

  // フォームデータの取得
  var formdata = new FormData(document.getElementById("my_form"));
  console.log("formdata:", formdata)

  // 非同期通信時の処理（コールバック関数）を定義
  req.onreadystatechange = function() {
    var result = document.getElementById('result');
    if (req.readyState == 4) { // 通信完了時
      if (req.status == 200) { // 通信成功時
        result.innerHTML = req.responseText;
      } else { // 通信失敗時
        result.innerHTML = " サーバーエラーが発生しました。 ";
      }
    } else { // 通信の完了する前
      result.innerHTML = "通信中・・・";
    }
  }
  // サーバとの非同期通信開始
  //req.open('GET', '/cgi-bin/helloAjax.py?name=' +
  //  encodeURIComponent(document.fm.name.value), true);
  req.open('POST', '/cgi-bin/testCGI.py', true);
  req.send(formdata);
}
